For the complete documentation index, see llms.txt. This page is also available as Markdown.

Webhooks API endpoints

Create a Webhook

post
/webhooks
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
urlstring · uri · min: 8 · max: 2048Required

The URL to send the webhook to

Example: https://webhook.example.io
descriptionstring · max: 1000Optional

The description of the webhook

Example: My webhook
statusinteger · enumOptional

The status of the webhook (0 = disabled, 1 = enabled)

Possible values:
Responses
200

Webhook has been created

application/json
urlstringRequired

The URL to send the webhook to.

Example: https://webhook.example.io
idstring · max: 64Required

A unique numeric ID

Pattern: ^[0-9]+$
createdstringRequired

The timestamp when the webhook was created.

Example: 2024-09-26T12:38:10.871Z
secretstringRequired

The secret token of the webhook.

descriptionstringRequired

The description of the webhook.

Example: My Webhook
statusinteger · enumRequired

The status of the webhook (0 = disabled, 1 = enabled)

Possible values:
post/webhooks
POST /webhooks HTTP/1.1
Host: api-testnet.truvera.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 98

{
  "url": "https://webhook.example.io",
  "description": "My webhook",
  "status": 0,
  "events": [
    "did_create"
  ]
}
{
  "events": [
    "did_create"
  ],
  "url": "https://webhook.example.io",
  "id": "text",
  "created": "2024-09-26T12:38:10.871Z",
  "secret": "text",
  "description": "My Webhook",
  "status": 0
}

List all webhooks

get
/webhooks
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
offsetinteger · int32Optional

How many items to offset by for pagination

Default: 0
limitinteger · int32 · min: 1 · max: 64Optional

How many items to return at one time (max 64)

Default: 64
Responses
200

A paged array of webhooks

application/json
urlstringRequired

The URL to send the webhook to.

Example: https://webhook.example.io
idstring · max: 64Required

A unique numeric ID

Pattern: ^[0-9]+$
createdstringRequired

The timestamp when the webhook was created.

Example: 2024-09-26T12:38:10.871Z
secretstringRequired

The secret token of the webhook.

descriptionstringRequired

The description of the webhook.

Example: My Webhook
statusinteger · enumRequired

The status of the webhook (0 = disabled, 1 = enabled)

Possible values:
get/webhooks
GET /webhooks HTTP/1.1
Host: api-testnet.truvera.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "events": [
      "did_create"
    ],
    "url": "https://webhook.example.io",
    "id": "text",
    "created": "2024-09-26T12:38:10.871Z",
    "secret": "text",
    "description": "My Webhook",
    "status": 0
  }
]

Info for a specific webhook

get
/webhooks/{id}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstring · max: 64Required

A unique numeric ID

Pattern: ^[0-9]+$
Responses
200

A stored webhook JSON object

application/json
urlstringRequired

The URL to send the webhook to.

Example: https://webhook.example.io
idstring · max: 64Required

A unique numeric ID

Pattern: ^[0-9]+$
createdstringRequired

The timestamp when the webhook was created.

Example: 2024-09-26T12:38:10.871Z
secretstringRequired

The secret token of the webhook.

descriptionstringRequired

The description of the webhook.

Example: My Webhook
statusinteger · enumRequired

The status of the webhook (0 = disabled, 1 = enabled)

Possible values:
get/webhooks/{id}
GET /webhooks/{id} HTTP/1.1
Host: api-testnet.truvera.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "events": [
    "did_create"
  ],
  "url": "https://webhook.example.io",
  "id": "text",
  "created": "2024-09-26T12:38:10.871Z",
  "secret": "text",
  "description": "My Webhook",
  "status": 0
}

Update a Webhook

patch
/webhooks/{id}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstring · max: 64Required

A unique numeric ID

Pattern: ^[0-9]+$
Body
urlstring · uri · min: 8 · max: 2048Required

The URL to send the webhook to

Example: https://webhook.example.io
descriptionstring · max: 1000Optional

The description of the webhook

Example: My webhook
statusinteger · enumOptional

The status of the webhook (0 = disabled, 1 = enabled)

Possible values:
Responses
200

Webhook has been updated

application/json
urlstringRequired

The URL to send the webhook to.

Example: https://webhook.example.io
idstring · max: 64Required

A unique numeric ID

Pattern: ^[0-9]+$
createdstringRequired

The timestamp when the webhook was created.

Example: 2024-09-26T12:38:10.871Z
secretstringRequired

The secret token of the webhook.

descriptionstringRequired

The description of the webhook.

Example: My Webhook
statusinteger · enumRequired

The status of the webhook (0 = disabled, 1 = enabled)

Possible values:
patch/webhooks/{id}
PATCH /webhooks/{id} HTTP/1.1
Host: api-testnet.truvera.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 98

{
  "url": "https://webhook.example.io",
  "description": "My webhook",
  "status": 0,
  "events": [
    "did_create"
  ]
}
{
  "events": [
    "did_create"
  ],
  "url": "https://webhook.example.io",
  "id": "text",
  "created": "2024-09-26T12:38:10.871Z",
  "secret": "text",
  "description": "My Webhook",
  "status": 0
}

Deletes a single webhook

delete
/webhooks/{id}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstring · max: 64Required

A unique numeric ID

Pattern: ^[0-9]+$
Responses
200

Webhook Deleted

No content

delete/webhooks/{id}
DELETE /webhooks/{id} HTTP/1.1
Host: api-testnet.truvera.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated

Was this helpful?